using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send
{
    /// <summary>
    /// 退回申请
    /// </summary>
    public class GetCaseBackApplyInfo 
    {
        /// <summary>
        /// 办理操作
        /// </summary>
        [JsonPropertyName("BACK_TYPE")]
        public string BackType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [JsonPropertyName("DEAL_DEPT")]
        public string DealDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [JsonPropertyName("DEAL_NAME")]
        public string DealName { get; set; }

        /// <summary>
        /// 申请退回时间
        /// </summary>
        [JsonPropertyName("APPLY_TIME")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [JsonPropertyName("BACKREASON")]
        public string BackReason { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }
    }
}
